Subject: bug#48145: Quoting of when argument in expansion of declare obsolete

From: Glenn Morris <[email-masked]>
Date: Sat, 01 May 2021 13:12:14 -0400

Package: emacs
Version: 28.0.50
Severity: wishlist

I noticed statements like these in loaddefs.el, and found the quoting of
the final WHEN argument a bit unexpected:

(make-obsolete 'gnus-intersection 'seq-intersection '"28.1")

I guess it is because of how byte-run--set-obsolete (and friends) is defined.
Does it need to quote the `when' argument, since `when' is documented to
be a string?